## rserve 0.4

=== DESCRIPTION ===
Package: Rserve
Version: 0.4-7
Title: Binary R server
Author: Simon Urbanek <Simon.Urbanek@r-project.org>
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 1.5.0)
SystemRequirements: R must be compiled with --enable-R-shlib if the server is to be built
Description: Rserve acts as a socket server (TCP/IP or local sockets) 
	     which allows binary requests to be sent to R. Every
	     connection has a separate workspace and working
	     directory. Client-side implementations are available
	     for popular languages such as C/C++ and Java, allowing
	     any application to use facilities of R without the need of
	     linking to R code. Rserve supports remote connection,
	     user authentication and file transfer. A simple R client
	     is included in this package as well.
License: GPL version 2
URL: http://www.rosuda.org/Rserve/

## rserve 0.6

=== DESCRIPTION ===
Package: Rserve
Version: 0.6-8.1
Title: Binary R server
Author: Simon Urbanek <Simon.Urbanek@r-project.org>
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 1.5.0)
SystemRequirements: R must be compiled with --enable-R-shlib if the
        server is to be built
Description: Rserve acts as a socket server (TCP/IP or local sockets)
        which allows binary requests to be sent to R. Every connection
        has a separate workspace and working directory. Client-side
        implementations are available for popular languages such as
        C/C++ and Java, allowing any application to use facilities of R
        without the need of linking to R code. Rserve supports remote
        connection, user authentication and file transfer. A simple R
        client is included in this package as well.
License: GPL-2
URL: http://www.rforge.net/Rserve/
Repository: CRAN
Date/Publication: 2013-03-23 19:43:52
Packaged: 2013-03-23 18:32:54 UTC; ligges
NeedsCompilation: yes

## rserve 1.7

=== DESCRIPTION ===
Package: Rserve
Version: 1.7-3.1
Title: Binary R server
Author: Simon Urbanek <Simon.Urbanek@r-project.org>
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 1.5.0)
Suggests: RSclient
SystemRequirements: libR, GNU make
Description: Rserve acts as a socket server (TCP/IP or local sockets) 
	     which allows binary requests to be sent to R. Every
	     connection has a separate workspace and working
	     directory. Client-side implementations are available
	     for popular languages such as C/C++ and Java, allowing
	     any application to use facilities of R without the need of
	     linking to R code. Rserve supports remote connection,
	     user authentication and file transfer. A simple R client
	     is included in this package as well.
License: GPL-2 | file LICENSE
URL: http://www.rforge.net/Rserve/
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2019-04-15 16:53:44 UTC
Packaged: 2019-03-14 18:24:52 UTC; ripley

=== src/client/java/Makefile ===
RENG_SRC=$(wildcard *.java)
RSRV_SRC=$(wildcard Rserve/*.java) $(wildcard Rserve/protocol/*.java)
JRI_SRC=$(wildcard JRI/*.java)

TARGETS=REngine.jar Rserve.jar

all: $(TARGETS)

JAVAC=javac
JAVADOC=javadoc
JDFLAGS=-author -version -breakiterator -link http://java.sun.com/j2se/1.4.2/docs/api/
JFLAGS+=-source 1.4 -target 1.4

REngine.jar: $(RENG_SRC)
	@rm -rf org
	$(JAVAC) -d . $(JFLAGS) $(RENG_SRC)
	jar fc $@ org
	rm -rf org

Rserve.jar: $(RSRV_SRC) REngine.jar
	@rm -rf org
	$(JAVAC) -d . -cp REngine.jar $(RSRV_SRC)
	jar fc $@ org
	rm -rf org

clean:
	rm -rf org *~ $(TARGETS) doc
	make -C Rserve clean
	make -C JRI clean

test:
	make -C Rserve test

rc:	Rserve.jar Rserve/test/jt.java
	make -C Rserve/test jt

doc:	$(RENG_SRC) $(RSRV_SRC) $(JRI_SRC)
	rm -rf $@
	mkdir $@
	$(JAVADOC) -d $@ $(JDFLAGS) $^

.PHONY: clean all test

=== src/client/java/JRI/Makefile ===
## there are two ways to compile JRIEngine - either use
## already installed REngine and JRI and then just
## compile JRIEngine against those jars or use this
## Makefile with all org sources checked out
## in which case the JRIEngine.jar will implicitly
## contain org.rosuda.JRI classes as well
## However, that requires both:
## org/rosuda/JRI
## org/rosuda/REngine

JRI_MAIN_SRC=$(wildcard ../../JRI/*.java)
JRIENGINE_SRC=JRIEngine.java

JAVAC=javac
JAR=jar
JFLAGS=-source 1.4 -target 1.4

all: JRIEngine.jar

JRIEngine.jar: $(JRI_MAIN_SRC) $(JRIENGINE_SRC)
	rm -rf org
	$(JAVAC) $(JFLAGS) -classpath ../REngine.jar -d . $^
	$(JAR) fc $@ org

clean:
	rm -rf org *~ JRIEngine.jar *.class
	make -C test clean

=== src/client/java/Rserve/Makefile ===
RENG_SRC=$(wildcard ../*.java)
RSRV_SRC=$(wildcard *.java) $(wildcard protocol/*.java)

TARGETS=Rserve.jar

all: $(TARGETS)

JAVAC=javac
JFLAGS=-encoding utf8 -source 1.4 -target 1.4

../REngine.jar: $(RENG_SRC)
	make -C .. REngine.jar

Rserve.jar: $(RSRV_SRC) ../REngine.jar
	@rm -rf org
	$(JAVAC) -d . -cp ../REngine.jar $(RSRV_SRC)
	jar fc $@ org
	rm -rf org

clean:
	rm -rf org *~ protocol/*~ $(TARGETS)
	make -C test clean

test:
	make -C test test

.PHONY: clean all test

## rserve 1.7-3.1

=== debian/changelog ===
rserve (1.7-3.1-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 06:31:34 -0500

rserve (1.7-3.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 15 Apr 2019 15:25:05 -0500

rserve (1.7-3-3) unstable; urgency=low

  * debian/rules: Adjust softlink paths 		(Closes: #744759)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Apr 2014 07:55:23 -0500

rserve (1.7-3-2) unstable; urgency=low

  * src/Rserv.c: Applied patch by Svante Signell to permit compilation on
    hurd-i386; patch forwarded upstream as well 	(Closes: #737308)

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Feb 2014 08:04:22 -0600

rserve (1.7-3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Aug 2013 19:02:03 -0500

rserve (1.7-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Aug 2013 05:21:21 -0500

rserve (1.7-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  
  * debian/control: Added 'libssl-dev' to Build-Depends:

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Aug 2013 08:33:30 -0500

rserve (0.6-8.1-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 10:47:59 -0500

rserve (0.6-8.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Mar 2013 14:29:17 -0500

rserve (0.6-8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Feb 2012 17:36:42 -0600

rserve (0.6-7-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Jan 2012 16:01:50 -0600

rserve (0.6-6-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Dec 2011 10:35:20 -0600

rserve (0.6-5-2) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Oct 2011 16:59:56 -0500

rserve (0.6-5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Jun 2011 08:01:30 -0500

rserve (0.6-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 May 2011 14:13:57 -0500

rserve (0.6-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Jan 2011 19:53:41 -0600

rserve (0.6-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Sep 2010 19:09:52 -0500

rserve (0.6-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 May 2010 22:00:32 -0500

rserve (0.6-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Oct 2009 21:17:38 -0500

rserve (0.5-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 2.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jan 2009 16:36:46 -0600

rserve (0.5-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Oct 2008 18:39:41 -0500

rserve (0.5-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 2.7.1
  * debian/control: Set Standards-Version: to current version 3.8.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Jul 2008 14:02:14 -0500

rserve (0.4-7-2) unstable; urgency=low

  * debian/rules: Remove inst/Rserver{,.db} in clean	(Closes: 442724)
  
  * Built with R 2.6.0 release candidate, setting (Build-)Depends: to 
    'r-base-(core|dev) >> 2.5.1' to prevent move to testing before R 2.6.0
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 Sep 2007 13:34:49 -0500

rserve (0.4-7-1) unstable; urgency=low

  * Initial (public) Debian package

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  3 Mar 2007 18:04:53 -0600

=== debian/control ===
Source: rserve
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), cdbs, libssl-dev
Standards-Version: 4.4.0
Homepage: http://www.rforge.net/Rserve

Package: r-cran-rserve
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU R Rserve tcp/ip server and sample clients
 This package provide Rserve, a headless server for GNU R.  Rserve
 acts as a socket server (TCP/IP or local sockets) which allows binary
 requests to be sent to R. Every connection has a separate workspace
 and working directory. Client-side implementations are available for
 popular languages such as C/C++ and Java, allowing any application to
 use facilities of R without the need of linking to R code. Rserve
 supports remote connection, user authentication and file transfer. A
 simple R client is included in this package as well.
 .
 URL: http://www.rosuda.org/Rserve/

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rserve package
# Copyright 2005 - 2014 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## prevent debhelper from changing these to 0644 
DEB_FIXPERMS_EXCLUDE = Rserve.so Rserve-bin.so Rserve-dbg.so

## link Rserve and Rserve.dbg to R's bin directory for R CMD Rserve[.dbg]
DEB_DH_LINK_ARGS = usr/lib/R/site-library/Rserve/libs/Rserve usr/lib/R/bin/Rserve usr/lib/R/site-library/Rserve/libs/Rserve.dbg usr/lib/R/bin/Rserve.dbg

## extra clean-up required
clean::
	rm -vf inst/Rserve inst/Rserve.dbg config.log config.status

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/Rserve_([-0-9\.]*)\.tar.gz
#http://www.rforge.net/Rserve/files/Rserve_([-0-9\.]*)\.tar.gz

## rserve 1.8

=== DESCRIPTION ===
Package: Rserve
Version: 1.8-17
Title: Versatile R Server
Author: Simon Urbanek [aut, cre, cph] (https://urbanek.org, ORCID:
    <https://orcid.org/0000-0003-2297-1732>)
Authors@R: person("Simon", "Urbanek", role=c("aut","cre","cph"), email="Simon.Urbanek@r-project.org", comment=c("https://urbanek.org", ORCID="0000-0003-2297-1732"))
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 1.5.0)
Suggests: RSclient
SystemRequirements: libR, GNU make
Description: Rserve is a versatile, scalable server enabling the
	     efficient use of R from other applications through
	     variety of protocols including QAP, WebSockets, HTTP
	     and HTTPS. It acts as a server (TCP/IP or local sockets) 
	     which allows binary requests to be sent to R. Every
	     connection has a separate workspace and working
	     directory. Client-side implementations are available
	     for many popular languages allowing applications
	     to use facilities of R without the need of linking to
	     the R binary. Rserve supports remote connections,
	     user authentication and file transfer. A simple R client
	     is included in this package as well. It also supports
	     OCAP mode for secure remote procedure calls,
	     including support for full event loop, asynchronous
	     results/graphics and console I/O.
License: GPL-2 | file LICENSE
URL: https://www.rforge.net/Rserve/
BugReports: https://github.com/s-u/Rserve/issues/
Biarch: true
NeedsCompilation: yes
Packaged: 2026-02-02 02:32:18 UTC; rforge
Repository: CRAN
Date/Publication: 2026-02-02 08:42:17 UTC

=== src/proxy/Makefile ===
## very basic makefile for testing
## for example, on OS X you might use
## make clean && make CC=clang 'CFLAGS=-Wall -Wno-deprecated-declarations -g' 'CPPFLAGS=-DFORKED -DRSERV_DEBUG' -j8

all: forward

forward: forward.o http.o http_tools.o server.o tls.o websockets.o md5.o sha1.o base64.o date.o ulog.o chandler.o rscript.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

forward.o: forward.c http.h websockets.h server.h http_tools.h qap.h rserr.h ulog.h bsdcmpt.h chandler.h
websockets.o: websockets.c websockets.h server.h md5.h sha1.h tls.h qap.h base64.c

md5.c: ../md5.c
	ln -sfn $^ $@
md5.h: ../md5.h
	ln -sfn $^ $@
ulog.c: ../ulog.c
	ln -sfn $^ $@
ulog.h: ../ulog.h
	ln -sfn $^ $@
sha1.c: ../sha1.c
	ln -sfn $^ $@
sha1.h: ../sha1.h
	ln -sfn $^ $@
base64.c: ../base64.c
	ln -sfn $^ $@

distclean: clean
	rm -f md5.[ch] ulog.[ch] sha1.[ch] base64.c *~

clean:
	rm -f *.o forward

=== src/client/java/JRI/Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 ## org/rosuda/JRI
 ## org/rosuda/REngine
 
-JRI_MAIN_SRC=$(wildcard ../../JRI/*.java)
+JRI_MAIN_SRC=$(wildcard ../../*.java)
 JRIENGINE_SRC=JRIEngine.java
 
 JAVAC=javac
 JAR=jar
-JFLAGS=-source 1.4 -target 1.4
+JFLAGS=-source 1.6 -target 1.6
 
 all: JRIEngine.jar

=== src/client/java/Rserve/Makefile ===
--- 
+++ 
@@ -6,14 +6,14 @@
 all: $(TARGETS)
 
 JAVAC=javac
-JFLAGS=-encoding utf8 -source 1.4 -target 1.4
+JFLAGS=-encoding utf8 -source 1.6 -target 1.6
 
 ../REngine.jar: $(RENG_SRC)
 	make -C .. REngine.jar
 
 Rserve.jar: $(RSRV_SRC) ../REngine.jar
 	@rm -rf org
-	$(JAVAC) -d . -cp ../REngine.jar $(RSRV_SRC)
+	$(JAVAC) $(JFLAGS) -d . -cp ../REngine.jar $(RSRV_SRC)
 	jar fc $@ org
 	rm -rf org

=== src/client/java/JRI/test/Makefile ===
## NOTE: the tests require rJava to be installed in the current R
##       since they also test the JRI/rJava connectivity

CP=../../REngine.jar:../JRIEngine.jar:$(RJAVA)/java/boot:$(RJAVA)/jri/JRI.jar
JFLAGS=-source 1.6 -target 1.6

RJAVA=$(shell echo "cat(system.file(package='rJava'))"|R --slave --no-save)
JRI=$(shell if test -e ../../../JRI/src/JRI.jar; then echo ../../../JRI/src; else echo $(RJAVA)/jri; fi)

JRT=-Djava.library.path=$(JRI):.

JAVAC=javac
JAVA=java

all: run

RTest.class: RTest.java
	$(JAVAC) $(JFLAGS) -classpath $(CP) $^

run: RTest.class
	R CMD $(JAVA) -cp $(CP):. $(JRT) RTest

clean:
	rm -rf org *.class *~

.PHONY: run clean

=== src/client/java/Rserve/test/Makefile ===
JAVA=java
JAVAC=javac
JFLAGS+=-encoding utf8 -source 1.6 -target 1.6

all: test PlotDemo.class StartRserve.class

../Rserve.jar: ../../REngine.jar
	$(MAKE) -C .. Rserve.jar

../../REngine.jar:
	$(MAKE) -C ../.. REngine.jar

test: test.class ../Rserve.jar ../../REngine.jar
	$(JAVA) -cp ../Rserve.jar:../../REngine.jar:. test

test.class: test.java ../Rserve.jar ../../REngine.jar
	$(JAVAC) $(JFLAGS) -d . -cp ../Rserve.jar:../../REngine.jar:. test.java

PlotDemo.class: PlotDemo.java ../Rserve.jar ../../REngine.jar
	$(JAVAC) $(JFLAGS) -d . -cp ../Rserve.jar:../../REngine.jar:. $<

PlotDemo: PlotDemo.class ../Rserve.jar ../../REngine.jar
	$(JAVA) -cp ../Rserve.jar:../../REngine.jar:. $@

jt: jt.class ../Rserve.jar ../../REngine.jar
	$(JAVA) -cp ../Rserve.jar:../../REngine.jar:. $@

jt.class: jt.java ../Rserve.jar ../../REngine.jar
	$(JAVAC) $(JFLAGS) -d . -cp ../Rserve.jar:../../REngine.jar:. jt.java

StartRserve.class: StartRserve.java ../Rserve.jar ../../REngine.jar
	$(JAVAC) $(JFLAGS) -d . -cp ../Rserve.jar:../../REngine.jar:. StartRserve.java

clean:
	rm -rf org *~ *.class

.PHONY: test all clean

## rserve 1.8-10

=== debian/changelog ===
rserve (1.8-10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Nov 2021 08:50:15 -0600

rserve (1.8-9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Nov 2021 11:03:32 -0500

rserve (1.8-8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version  
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem
  * debian/source/format: Added

  * debian/example.conf: Added

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Nov 2021 08:23:04 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), cdbs, libssl-dev
-Standards-Version: 4.4.0
-Homepage: http://www.rforge.net/Rserve
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, libssl-dev
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-rserve
+Vcs-Git: https://salsa.debian.org/edd/r-cran-rserve.git
+Homepage: https://cran.r-project.org/package=Rserve
 
 Package: r-cran-rserve
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
 # 							-*- makefile -*-
 # debian/rules file for the Debian/GNU Linux r-cran-rserve package
-# Copyright 2005 - 2014 by Dirk Eddelbuettel <edd@debian.org>
+# Copyright 2005 - 2021 by Dirk Eddelbuettel <edd@debian.org>
 
-include /usr/share/R/debian/r-cran.mk
+%:
+	dh $@ --buildsystem R
+
+## Older settings below which we should restore 'one day' but as nobody seems
+## to use the package this way, this may not be urgent ...
 
 ## prevent debhelper from changing these to 0644 
 DEB_FIXPERMS_EXCLUDE = Rserve.so Rserve-bin.so Rserve-dbg.so

## rserve 1.8-11

=== debian/changelog ===
rserve (1.8-11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Nov 2022 07:12:30 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, libssl-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, libssl-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rserve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rserve.git
 Homepage: https://cran.r-project.org/package=Rserve

## rserve 1.8-13

=== debian/changelog ===
rserve (1.8-13-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:58 +1100

rserve (1.8-13-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:11:42 +0000

rserve (1.8-13-2) unstable; urgency=medium

  * debian/rules: Explicitly invoke dh_link		(Closes: #1063047)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Feb 2024 12:38:15 -0600

rserve (1.8-13-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Dec 2023 06:41:16 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: rserve
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, libssl-dev
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, libssl-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rserve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rserve.git
 Homepage: https://cran.r-project.org/package=Rserve

## rserve 1.8-15

=== debian/changelog ===
rserve (1.8-15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Dec 2024 08:38:43 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: rserve
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, libssl-dev
-Standards-Version: 4.6.2
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, libssl-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rserve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rserve.git
 Homepage: https://cran.r-project.org/package=Rserve

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rserve package
# Copyright 2005 - 2024 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## link Rserve and Rserve.dbg to R's bin directory for R CMD Rserve[.dbg]
override_dh_auto_install:
	dh_auto_install
	dh_link \
		usr/lib/R/site-library/Rserve/libs/Rserve usr/lib/R/bin/Rserve \
		usr/lib/R/site-library/Rserve/libs/Rserve.dbg usr/lib/R/bin/Rserve.dbg

## extra clean-up required
clean::
	rm -vf inst/Rserve inst/Rserve.dbg config.log config.status

## rserve 1.8-16

=== debian/changelog ===
rserve (1.8-16-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 15 Dec 2025 06:42:54 -0600

rserve (1.8-15-2) unstable; urgency=medium

  * debian/control: Add Build-Depends on libcrypt-dev 	(Closes: #1107028)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Nov 2025 15:29:15 -0600

## rserve 1.8-17

=== debian/changelog ===
rserve (1.8-17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Feb 2026 06:50:45 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, libssl-dev
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, libssl-dev, libcrypt-dev
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rserve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rserve.git
 Homepage: https://cran.r-project.org/package=Rserve

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Rserve_([-0-9\.]*)\.tar.gz
